﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="BindingAccessDataSource.aspx.cs"
    Inherits="Incidents_BindingAccessDataSource" %>

<%@ Register Assembly="Syncfusion.Grid.Grouping.Web" Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping"
    TagPrefix="syncfusion" %>
<%@ Register Assembly="Syncfusion.Shared.Web" Namespace="Syncfusion.Web.UI.WebControls.Shared"
    TagPrefix="syncfusion" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>AccessDataSource</title>
    <link href="css/Office2007Blue.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server" />

        <script type="text/javascript">
            Sys.WebForms.PageRequestManager.getInstance().add_beginRequest(BeginRequestHandler);
            Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
            function BeginRequestHandler(sender, args) {
                Popup.ShowPopup();
            }
            function EndRequestHandler(sender, args) {
                Popup.HidePopup();
            }
        </script>

        <asp:UpdatePanel ID="Panel" runat="server" ChildrenAsTriggers="true">
            <ContentTemplate>
                <syncfusion:GridGroupingControl ID="Grid" runat="server" AutoFormat="Office 2007 Blue"
                    DataSourceCachingMode="ViewState" EnableCallbacks="false" ShowGroupDropArea="false">
                    <TableDescriptor AllowNew="false" AllowEdit="true">
                       <%-- <RowBtnTemplate>
                            <asp:CheckBox ID="Ck" runat="server" />
                        </RowBtnTemplate>--%>
                    </TableDescriptor>
                    <TopLevelGroupOptions ShowCaption="false" />
                    <TableOptions ListBoxSelectionMode="MultiExtended" />
                </syncfusion:GridGroupingControl>
                <syncfusion:GridPager ID="GridPager1" PagingControlID="Grid" runat="server" PageSize="12"
                    Skin="Office2007Blue">
                    <PagerItems>
                        <syncfusion:NextPreviousGridPagerItem FirstPageText="<<" PreviousPageText="<" ShowFirstPageButton="true"
                            ShowPreviousPageButton="true" ShowLastPageButton="False" ShowNextPageButton="false" />
                        <syncfusion:NumericGridPagerItem ButtonCount="7" />
                        <syncfusion:NextPreviousGridPagerItem LastPageText=">>" NextPageText=">" ShowFirstPageButton="false"
                            ShowPreviousPageButton="false" ShowLastPageButton="true" ShowNextPageButton="true" />
                        <syncfusion:EditUpdateGridPagerItem EnableEdit="true" EditLinkText="Edit" CancelLinkText="Cancel"
                            UpdateLinkText="Update" DeleteLinkText="Del" />
                    </PagerItems>
                </syncfusion:GridPager>
            </ContentTemplate>
        </asp:UpdatePanel>
        <syncfusion:WaitingPopup DisableOnShowElementID="Grid" ID="WaitingPopup1" ClientObjectId="Popup"
            runat="server" Alignment="MiddleCentre" AutoFormat="Rollers" Height="50px" Width="125px"
            DisabledBackgroundColor="221, 227, 238">
        </syncfusion:WaitingPopup>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/NWIND.MDB"
            SelectCommand="SELECT [OrderID], [CustomerID], [EmployeeID] FROM [Orders]">
        </asp:AccessDataSource>
        <textarea id="TraceConsole" rows="20" cols="50"></textarea>
    </div>
    </form>
</body>
</html>
