﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;

public partial class Incidents_BindingAccessDataSource : System.Web.UI.Page {
    protected override void OnInit(EventArgs e) {
        base.OnInit(e);
        AddCheckBoxTemplate();
    }

    protected void Page_Load(object sender, EventArgs e) {
        if (!IsPostBack) {
            this.Grid.DataSourceID = "AccessDataSource1";
            this.Grid.DataBind();
        }
    }

    private void AddCheckBoxTemplate() {
        this.Grid.TableDescriptor.RowBtnTemplate = new CheckBoxTemplate();
    }

    class CheckBoxTemplate : ITemplate {

        #region ITemplate Members

        public void InstantiateIn(Control container) {
            CheckBox cBox = new CheckBox();
            cBox.ID = "ck";
            cBox.CheckedChanged += new EventHandler(cBox_CheckedChanged);
            cBox.AutoPostBack = true;
            container.Controls.Add(cBox);
        }

        void cBox_CheckedChanged(object sender, EventArgs e) {
            //Implement the checked changed logic here
            CheckBox checkbox = (CheckBox)sender;
            GridRow gridrow = (GridRow)checkbox.Parent.Parent;
            //implement logic for your code
        }


        #endregion
    }

}
